package org.glitched.engine.collision;

/**
 * Hitbox class :
 *
 * @author Sparamoule
 */
public class Hitbox {
    
    private float minX,minY,maxX,maxY;

    public float getMinX() {
        return minX;
    }

    public void setMinX(float minX) {
        this.minX = minX;
    }

    public float getMinY() {
        return minY;
    }

    public void setMinY(float minY) {
        this.minY = minY;
    }

    public float getMaxX() {
        return maxX;
    }

    public void setMaxX(float maxX) {
        this.maxX = maxX;
    }

    public float getMaxY() {
        return maxY;
    }

    public void setMaxY(float maxY) {
        this.maxY = maxY;
    }
    
    public Hitbox(float minX,float minY,float maxX,float maxY) {
        this.minX = minX;
        this.maxX = maxX;
        this.minY = minY;
        this.maxY = maxY;
    }
    
    public boolean collide(float p1X,float p1Y,Hitbox h,float p2X,float p2Y) {
        if (p1X+minX > p2X+h.getMaxX()) {return false;}
        if (p1X+maxX < p2X+h.getMinX()) {return false;}
        if (p1Y+minY > p2Y+h.getMaxY()) {return false;}
        if (p1Y+maxY < p2Y+h.getMinY()) {return false;}
        return true;
    }
    
    

}
