package org.glitched.engine.setting;

import java.util.HashMap;
import java.util.Map;

/**
 * SettingManager class : Permet de sauvegarder des valeurs sous un nom
 *
 * @author Sparamoule
 */
public class SettingManager {
    
    private Map<String, SettingValue> settings = new HashMap<>();
    
    
    public SettingValue get(String name) {
        if (settings.containsKey(name)) {
            return settings.get(name);
        } else {
            throw new RuntimeException("This key does not exist");
        }
    }
    
    public void set(String name, SettingValue value) {
        settings.put(name, value);
    }
    
    

}
