package org.glitched.game.entity;

import org.glitched.engine.graphic.Sprite;
import org.glitched.util.Vector2f;

/**
 * Entity class : Représente un objet affichable à l'écran
 *
 * @author Sparamoule
 */
public abstract class Entity {
    
    /**
     * Position de l'entité
     */
    protected Vector2f position = new Vector2f();
    
    /**
     * Sprites qui serviront à 
     */
    protected Sprite[] sprites;

    public Vector2f getPosition() {
        return position;
    }

    public void setPosition(Vector2f position) {
        this.position = position;
    }

    public Sprite[] getSprites() {
        return sprites;
    }

    public void setSprites(Sprite[] sprites) {
        this.sprites = sprites;
    }
    
    

}
