package org.glitched.game.entity;

import org.glitched.engine.collision.Hitbox;

/**
 * IEntityCollidable interface : Entité qui réagit aux collisions
 *
 * @author Sparamoule
 */
public interface IEntityCollidable {
    
    public void onCollide(IEntityCollidable e);
    
    public Hitbox getBounds();

}
