package org.glitched.game.weapon;

import org.glitched.game.entity.Entity;

/**
 * Weapon class : Arme utilisée par le joueur ou un vaisseau ennemi
 *
 * @author Sparamoule
 */
public class Weapon {
    
    /**
     * Cadence de tir
     */
    private float fireRate;
    
    /**
     * Dispersion du tir (en multi-projectiles)
     */
    private float angle;
    
    /**
     * Nombre de projectiles lancés par tir
     */
    private int projectileCount;
    
    /**
     * Entité représentant le projectile à lancer
     */
    private Entity projectile;
    
    /**
     * Force appliquée au projectile
     */
    private float projectileForce;

}
