package org.glitched.engine.input;



/**
 * Input class : Classe associée à une entrée
 *
 * @author Sparamoule
 */
public class Input {
    
    public enum InputSource {
        Keyboard,Mouse,Joystick;
    }
    
    /**
     * Constructeur - spécifie la source et la touche
     * @param inputSource - Source de l'entrée
     * @param key - Code de la touche - Code LWJGL
     */
    public Input(InputSource inputSource,int key) {
        this.inputSource = inputSource;
        this.key = key;
    }
    
    public Input(InputSource inputSource,String keyName) {
        this.inputSource = inputSource;
        if (inputSource == InputSource.Keyboard) {
            //this.key = Keyboard.getKeyIndex(keyName);
        } else if (inputSource == InputSource.Mouse) {
            //this.key = Mouse.getButtonIndex(keyName);
        }  
    }
    
    /**
     * Code de la touche
     */
    private int key;
    
    /**
     * Source de l'entrée - Clavier,Souris,Joystick
     */
    private InputSource inputSource;
    
    public boolean isActive() {
        if (inputSource == InputSource.Keyboard) {
            //return Keyboard.isKeyDown(key);
        } else if (inputSource == InputSource.Mouse) {
            //return Mouse.isButtonDown(key);
        } else {
            return false;
        }
        return true;
    }
    
    

}
