package org.glitched.game.entity;

import org.glitched.engine.collision.Hitbox;
import org.glitched.game.weapon.Weapon;

/**
 * EntityPlayerSpaceShip class : Vaisseau du joueur
 *
 * @author Sparamoule
 */
public class EntityPlayerSpaceShip extends Entity 
    implements IEntityPlayable,
                IEntityCollidable, 
                IEntityDamagable {
    
    private Weapon primaryWeapon, secondaryWeapon;
    private float health;

    @Override
    public void onCollide(IEntityCollidable e) {
        
    }

    @Override
    public float getHealth() {
        return health;
    }

    @Override
    public void setHealth(float health) {
        this.health = health;
    }

    @Override
    public void addHealth(float health) {
        this.health += health;
    }

    @Override
    public Hitbox getBounds() {
        return new Hitbox(-3f,-2f,3f,2f);
    }

    @Override
    public void onDeath() {
        
    }
    
}
