package org.glitched.game.entity;

/**
 * IEntityDamagable interface : Entité qui peut être endommagée 
 * (qui a des points de vie)
 *
 * @author Sparamoule
 */
public interface IEntityDamagable {
    
    public float getHealth();
    public void setHealth(float health);
    public void addHealth(float health);
    
    public void onDeath();

}
