package org.glitched.game.gui;

import org.glitched.engine.graphic.Sprite;
import org.glitched.engine.resource.ResourceManager;
import org.glitched.game.entity.Entity;
import org.glitched.game.entity.IEntityClickable;
import org.glitched.util.Vector2f;
import org.newdawn.slick.Image;


/**
 *
 * @author Kronos
 */
public class Button extends Entity implements IEntityClickable
{
    public Button()
    {
        this.sprites = new Sprite[1];
        this.sprites[0] = new Sprite(getButtonImage(), 0, 0, 80, 40);
        this.sprites[0].setDepth(-1); // Position fixe
        this.sprites[0].setLayer(0); // Le plus près
        this.setPosition(new Vector2f(400, 300));
    }
    
    
    private static Image getButtonImage()
    {
        ResourceManager rm = new ResourceManager();
        rm.loadImage("button", "button.png");
	return rm.getImage("button");
    }

        
        /*TrueTypeFont font = new TrueTypeFont(new Font("Arial", 0, 20), false);
        font.drawString(this.getPosition().x + 10, this.getPosition().y + 10, "TEST", Color.white);//Marche pas =(
        */

	@Override
	public void onClick()
	{
		
	}
}
